<?php
/**
 * OrderSourceEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\OmsClient\Dto;
use \Ensi\OmsClient\ObjectSerializer;

/**
 * OrderSourceEnum Class Doc Comment
 *
 * @category Class
 * @description Источник взаимодействия. Расшифровка значений:   * &#x60;1&#x60; - Сайт   * &#x60;2&#x60; - Приложение   * &#x60;3&#x60; - Админ
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class OrderSourceEnum
{
    /**
     * Possible values of this enum
     */
    const SITE = 1;
    const APP = 2;
    const ADMIN = 3;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::SITE,
            self::APP,
            self::ADMIN,
        ];
    }
}


